state("Risk of Rain 2") {
	byte load:		"mono-2.0-bdwgc.dll", 0x491DC8, 0x58, 0x160, 0x160, 0x160, 0x160, 0x160, 0xBF0;
	int stageCount:	"mono-2.0-bdwgc.dll", 0x491DC8, 0x28, 0x50, 0x570;
	int inGame:		"AkSoundEngine.dll", 0x20DC04;
}

startup {

	settings.Add("stages", true, "Stages");
	settings.SetToolTip("stages", "The settings below indicate the END of which stage to split on. I.E. ticking \"Sky Meadow\" will split at the end of Sky Meadow etc.");

	vars.l = new Dictionary<int, string> {
		{1,"Titanic Plains/Distant Roost"},
		{2,"Abandoned Aqueduct/Wetlands Aspect"},
		{3,"Rallypoint Delta/Scorched Acres"},
		{4,"Siren's Call/Abyssal Depths"},
		{5,"Sky Meadow"},
		{6,"Commencement"}
	};

	foreach (var Tag in vars.l) {							
		settings.Add(Tag.Key.ToString(), false, Tag.Value, "stages");					
    };
	
	settings.SetToolTip("1", "Splits when entering the Bazaar. Due to current limitations splitting after bazaar automatically is not possible");

	settings.Add("alwaysSplit", true, "Ignore the above setting and split on every stage counter increase (and credits)");
	
	//variable used to set the offset of the timer start, to account for timing rules
	vars.setOffset = false;
	
	//timing method reminder from Amnesia TDD autosplitter, all credits to those guys
	if (timer.CurrentTimingMethod == TimingMethod.RealTime) {        
        	var timingMessage = MessageBox.Show (
          		"This game uses time without loads as the main timing method.\n"+
          		"LiveSplit is currently set to show Real Time (time INCLUDING loads).\n"+
          		"Would you like the timing method to be set to Loadless for you?",
         		"RoR2 Autosplitter | LiveSplit",
         		MessageBoxButtons.YesNo,MessageBoxIcon.Question
       		);
		
        	if (timingMessage == DialogResult.Yes) {
			timer.CurrentTimingMethod = TimingMethod.GameTime;
		}
	}
}

start {
	if (current.inGame != 0 && old.inGame == 0) {
		vars.setOffset = true;
		return true;
	}
}

reset {
	if (current.inGame != 0 && old.inGame == 0 && current.stageCount < 4) {
		return true;
	}
}

split {
	if (current.stageCount == old.stageCount + 1 && current.stageCount > 1) {
		
		if (settings["alwaysSplit"]) {
			return true;
		}
		
		else if (settings[old.stageCount.ToString()]) {
			return true;
		}
	}
}

gameTime {
	//timer offset from the script's starting point to the rule-defined starting point
	if (vars.setOffset == true) {
		vars.setOffset = false;
		return TimeSpan.FromSeconds(-0.56);
	}
}
		
isLoading {
	return (current.load == 1);
}